## non-daw-1.3.0-1.src.tar.gz

=== wscript ===
#!/usr/bin/env python
import os
import subprocess
import waflib.Logs as Logs, waflib.Options as Options
import string

VERSION = 'xxx'
APPNAME = 'non-things'

top = '.'
out = 'build'

common = [ 'nonlib', 'FL' ]
projects = [ 'timeline', 'mixer', 'sequencer', 'session-manager' ]

def options(opt):
    # opt.add_option('--use-system-ntk', action='store_true', default=False,
    #                dest='use_system_ntk',
    #                help="Link to system-installed shared NTK instead of bundled version")    
    opt.add_option('--enable-debug', action='store_true', default=False, dest='debug',
                    help='Build for debugging')
    opt.add_option('--disable-sse', action='store_false', default=True, dest='sse',
                    help='Disable SSE optimization')
    opt.add_option('--disable-native-cpu-optimization', action='store_false', default=True, dest='native',
                    help='Disable native CPU optimziation (e.g. for generic binary packaging)')
    opt.add_option('--project', action='store', default=False, dest='project',
                    help='Limit build to a single project (' + ', '.join( projects ) + ')')

    for i in projects:
        opt.recurse(i)
    
def configure(conf):
    conf.load('compiler_c')
    conf.load('compiler_cxx')
    conf.load('gnu_dirs')
    conf.load('ntk_fluid',tooldir='tools.waf')
    conf.load('gccdeps')
    conf.line_just = 52

    conf.env['LIB_PTHREAD'] = ['pthread']
    conf.env['LIB_DL'] = ['dl']
    conf.env['LIB_M'] = ['m']
  
    if Options.options.sse:
        if os.system("grep -q '^flags.*\<sse2\>' /proc/cpuinfo"):
            Options.options.sse = 0
            print( "Processor lacks sse, disabling..." )

    # NTK_EXTRA_FLAGS=''
    # if not Options.options.use_system_ntk:
    #     print 'Using bundled NTK'
    #     os.environ['PKG_CONFIG_PATH'] = 'lib/ntk/build/:' + os.environ.get('PKG_CONFIG_PATH','')
    #    NTK_EXTRA_FLAGS='--static'
    #     PWD = os.environ.get('PWD','')
    #     os.environ['PATH'] = PWD + '/lib/ntk/build/fluid:' + os.environ.get('PATH','')

    conf.check_cfg(package='ntk', uselib_store='NTK', args='--cflags --libs',
                   atleast_version='1.3.0', mandatory=True)
    conf.check_cfg(package='ntk_images', uselib_store='NTK_IMAGES', args=' --cflags --libs',
                   atleast_version='1.3.0', mandatory=True)

    conf.find_program('ntk-fluid', var='NTK_FLUID')

    conf.check_cfg(package='jack', uselib_store='JACK', args="--cflags --libs",
                   atleast_version='0.103.0', mandatory=True)

    conf.check_cc(msg='Checking for jack_port_get_latency_range()',
                  define_name='HAVE_JACK_PORT_GET_LATENCY_RANGE',
                  fragment='#include <jack/jack.h>\nint main (int argc, char**argv) { jack_port_get_latency_range( (jack_port_t*)0, JackCaptureLatency, (jack_latency_range_t *)0 ); }',
                  mandatory=False);
		
    conf.check(function_name='jack_get_property',
               header_name='jack/metadata.h',
               define_name='HAVE_JACK_METADATA',
               uselib='JACK',
               mandatory=False)

    conf.check_cfg(package='x11', uselib_store='XLIB',args="--cflags --libs",
                      mandatory=True)

    conf.check_cfg(package='liblo', uselib_store='LIBLO',args="--cflags --libs",
                      atleast_version='0.26', mandatory=True)

    conf.check_cc(msg='Checking for compiler pointer alignment hints',
                  uselib_store='HAS_BUILTIN_ASSUME_ALIGNED',
                  fragment='int main ( char**argv, int argc ) { const char *s = (const char*)__builtin_assume_aligned( 0, 16 ); return 0; }',
                  execute=False, mandatory=False)
###

    for i in common:
        conf.recurse(i)

    optimization_flags = [
            "-O3",
            "-fomit-frame-pointer",
            "-ffast-math",
            "-pipe"
            ]

    if Options.options.native:
        print('Using native CPU optimization')
        optimization_flags.extend( [
            "-march=native",
            "-mtune=native", # ~200% DSP performance increase on AMD bulldozer...
        ]);
    
    if Options.options.sse:
        print('Using SSE optimization')
        optimization_flags.extend( [
            "-msse2",
            "-mfpmath=sse" ] );

        conf.define( 'USE_SSE', 1 )

    debug_flags = [ '-O0', '-g3' ]

    if Options.options.debug:
        print('Building for debugging')
        conf.env.append_value('CFLAGS', debug_flags )
        conf.env.append_value('CXXFLAGS', debug_flags )
    else:
        print('Building for performance')
        conf.env.append_value('CFLAGS', optimization_flags )
        conf.env.append_value('CXXFLAGS', optimization_flags )
        conf.define( 'NDEBUG', 1 )

    conf.define( "_GNU_SOURCE", 1)

    conf.env.append_value('CFLAGS',['-Wall'])
#    conf.env.append_value('CXXFLAGS',['-Wall','-fno-exceptions', '-fno-rtti'])
    conf.env.append_value('CXXFLAGS',['-Wall','-fno-rtti'])

    global_flags = [ '-pthread',
                     '-D_LARGEFILE64_SOURCE',
                     '-D_FILE_OFFSET_BITS=64',
                     '-D_GNU_SOURCE' ]

    
    conf.env.append_value('CFLAGS', global_flags )
    conf.env.append_value('CXXFLAGS', global_flags )


    conf.env.PROJECT = conf.options.project

    if conf.env.PROJECT:
        pl = [ conf.env.PROJECT ]
    else:
        pl = projects;

    for i in pl:
        Logs.pprint('YELLOW', 'Configuring %s' % i)
        conf.recurse(i);

def run(ctx):
    if not Options.options.cmd:
        Logs.error("missing --cmd option for run command")
        return

    cmd = Options.options.cmd
    Logs.pprint('GREEN', 'Running %s' % cmd)

    subprocess.call(cmd, shell=True, env=source_tree_env())

def build(bld):
    
    for i in common:
        bld.recurse(i)

    if bld.env.PROJECT:
        pl = [ bld.env.PROJECT ]
    else:
        pl = projects;

    for i in pl:
        bld.recurse(i);

=== FL/wscript ===
#!/usr/bin/env python

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    bld.stlib(
        source = 
'''
About_Dialog.fl
Fl_Menu_Settings.C
Fl_Scalepack.C
Fl_Text_Edit_Window.fl
Fl_Value_SliderX.C
Fl_DialX.C
Fl_SliderX.C
New_Project_Dialog.fl
event_name.C
menu_popup.C
test_press.C
focus_frame.C
''',
        includes = '.',
        export_incdirs = [ '.' 'FL' ],
        uselib = 'PTHREAD NTK',
        target = 'fl_widgets')

=== mixer/wscript ===
#!/usr/bin/env python
import subprocess
import waflib.Options as Options
import string
import os

# Version of this package (even if built as a child)
PACKAGE_VERSION = '1.3.0'

# Variables for 'waf dist'
APPNAME = 'non-mixer'
VERSION = PACKAGE_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    opt.load('compiler_cxx')
    opt.load('gnu_dirs')

def configure(conf):
    conf.load('compiler_c')
    conf.load('compiler_cxx')
    conf.load('gnu_dirs')

    conf.check(header_name='ladspa.h', define_name='HAVE_LADSPA_H', mandatory=True)
    conf.check_cfg(package='lrdf', uselib_store='LRDF',args="--cflags --libs",
                      atleast_version='0.4.0', mandatory=True)

    conf.define('VERSION', PACKAGE_VERSION)
    conf.define('SYSTEM_PATH', '/'.join( [ conf.env.DATADIR, APPNAME ] ) )
    conf.define('DOCUMENT_PATH', '/'.join( [ conf.env.DATADIR, 'doc' ] ) )
    conf.define('PIXMAP_PATH', '/'.join( [ conf.env.DATADIR, 'pixmaps' ] ) )

    conf.write_config_header('config.h', remove=False)

    print('')

def build(bld):

    libs = '' 

    bld.program( source = '''
src/Chain.C
src/Controller_Module.C
src/DPM.C
src/Gain_Module.C
src/Spatializer_Module.C
src/JACK_Module.C
src/AUX_Module.C
src/LADSPAInfo.C
src/Meter_Indicator_Module.C
src/Meter_Module.C
src/Mixer.C
src/Mixer_Strip.C
src/Module.C
src/Module_Parameter_Editor.C
src/Mono_Pan_Module.C
src/Plugin_Chooser_UI.fl
src/Plugin_Chooser.C
src/NSM.C
src/Panner.C
src/Plugin_Module.C
src/Project.C
src/Group.C
src/main.C
src/SpectrumView.C
src/Spatialization_Console.C
''',
              target       = 'non-mixer',
              includes     = ['.', 'src', '..', '../nonlib'],
              use = ['nonlib', 'fl_widgets'],
              uselib = [ 'JACK', 'LIBLO', 'LRDF', 'NTK', 'NTK_IMAGES', 'PTHREAD', 'DL', 'M' ],
              install_path = '${BINDIR}')

    bld.program( source = 'src/midi-mapper.C',
                 target       = 'non-midi-mapper',
                 includes     = ['.', 'src', '..', '../nonlib'],
                 use = ['nonlib', 'fl_widgets'],
                 uselib = [ 'JACK', 'LIBLO', 'LRDF', 'NTK', 'NTK_IMAGES', 'PTHREAD', 'DL', 'M' ],
                 install_path = '${BINDIR}')
    
    bld( features = 'subst',
         source = 'non-mixer.desktop.in',
         target = 'non-mixer.desktop',
         encoding = 'utf8',
         install_path = "${DATADIR}" + '/applications',
         BIN_PATH = bld.env.BINDIR )

    start_dir = bld.path.find_dir( 'icons/hicolor' )

    bld.install_files('${DATADIR}/icons/hicolor', start_dir.ant_glob('**/*.png'),
                      cwd=start_dir, relative_trick=True)

    bld.install_as('${DATADIR}/pixmaps/' + APPNAME + '/icon-256x256.png', 'icons/hicolor/256x256/apps/' + APPNAME + '.png')

    start_dir = bld.path.find_dir( 'pixmaps' )

    bld.install_files('${DATADIR}/pixmaps/' + APPNAME + '/', start_dir.ant_glob('*.png'),
                      cwd=start_dir, relative_trick=True)

    bld.install_files( '/'.join( [ '${DATADIR}/doc', APPNAME ] ), bld.path.ant_glob( 'doc/*.html doc/*.png' ) )

    bld.symlink_as( '${BINDIR}/' + APPNAME + '-noui', APPNAME )

=== sequencer/wscript ===
#!/usr/bin/env python
import subprocess
import waflib.Options as Options
import string
import os

# Version of this package (even if built as a child)
PACKAGE_VERSION = '1.10.0'

# Variables for 'waf dist'
APPNAME = 'non-sequencer'
VERSION = PACKAGE_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    opt.load('compiler_cxx')
    opt.load('gnu_dirs')

def configure(conf):
    conf.load('compiler_c')
    conf.load('compiler_cxx')
    conf.load('gnu_dirs')

    conf.check_cfg(package='sigc++-2.0', uselib_store='SIGCPP',
                      atleast_version='2.0.0', args="--cflags --libs",  mandatory=True)

    conf.define('VERSION', PACKAGE_VERSION)
    conf.define('SYSTEM_PATH', '/'.join( [ conf.env.DATADIR, APPNAME ] ) )
    conf.define('DOCUMENT_PATH', '/'.join( [ conf.env.DATADIR, 'doc' ] ) )
    conf.define('PIXMAP_PATH', '/'.join( [ conf.env.DATADIR, 'pixmaps' ] ) )
    conf.define('INSTRUMENTS_PATH', '/'.join( [ conf.env.DATADIR, APPNAME, 'instruments' ] ) )

    conf.write_config_header('config.h', remove=False)

    print('')

def build(bld):

    libs = '' 

    bld.program( source = '''
src/NSM.C
src/NSM/Client.C
src/canvas.C
src/debug.C
src/grid.C
src/gui/event_edit.fl
src/gui/ui.fl
src/instrument.C
src/jack.C
src/main.C
src/mapping.C
src/pattern.C
src/phrase.C
src/scale.C
src/sequence.C
src/smf.C
src/transport.C
''',
              target       = 'non-sequencer',
              includes     = ['.', 'src', 'src/gui', '../FL', '../nonlib'],
              use = ['nonlib', 'fl_widgets'],
              uselib = [ 'JACK', 'SIGCPP', 'LIBLO', 'XLIB', 'NTK', 'NTK_IMAGES', 'PTHREAD'],
              install_path = '${BINDIR}')

    bld( features = 'subst',
         source = 'non-sequencer.desktop.in',
         target = 'non-sequencer.desktop',
         encoding = 'utf8',
         install_path = "${DATADIR}" + '/applications',
         BIN_PATH = bld.env.BINDIR )

    bld.install_files('/'.join( [ '${DATADIR}', APPNAME, 'instruments'] ), bld.path.ant_glob('instruments/*'))

    start_dir = bld.path.find_dir( 'icons/hicolor' )

    bld.install_files('${DATADIR}/icons/hicolor', start_dir.ant_glob('**/*.png'),
                      cwd=start_dir, relative_trick=True)

    bld.install_as('${DATADIR}/pixmaps/' + APPNAME + '/icon-256x256.png', 'icons/hicolor/256x256/apps/' + APPNAME + '.png')

    bld.install_files( '/'.join( [ '${DATADIR}/doc', APPNAME ] ), bld.path.ant_glob( 'doc/*.html doc/*.png' ) )

=== session-manager/wscript ===
#!/usr/bin/env python
import subprocess
import waflib.Options as Options
import string
import os

# Version of this package (even if built as a child)
PACKAGE_VERSION = '1.3.0'

# Variables for 'waf dist'
APPNAME = 'non-session-manager'
VERSION = PACKAGE_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    opt.load('compiler_cxx')
    opt.load('gnu_dirs')

def configure(conf):
    conf.load('compiler_c')
    conf.load('compiler_cxx')
    conf.load('gnu_dirs')

    conf.define('VERSION', PACKAGE_VERSION)
    conf.define('SYSTEM_PATH', '/'.join( [ conf.env.DATADIR, APPNAME ] ) )
    conf.define('DOCUMENT_PATH', '/'.join( [ conf.env.DATADIR, 'doc' ] ) )
    conf.define('PIXMAP_PATH', '/'.join( [ conf.env.DATADIR, 'pixmaps' ] ) )

    conf.write_config_header('config.h', remove=False)

    print('')

def build(bld):

    libs = '' 

    bld.program( source = '''
src/session-manager.C
''',
              target       = 'non-session-manager',
              includes     = ['.', 'src', '../nonlib', '..' ],
              uselib = [  'LIBLO', 'NTK', 'NTK_IMAGES' ],
              use = [ 'fl_widgets', 'nonlib'],
              install_path = '${BINDIR}')

    bld.program( source = '''
src/nsmd.C
''',
              target       = 'nsmd',
              includes     = ['.', 'src', '../nonlib'],
              uselib = [  'LIBLO' ],
              use = [ 'nonlib'],
              install_path = '${BINDIR}')

    bld.program( source = '''
src/nsm-proxy.C
''',
              target       = 'nsm-proxy',
              includes     = ['.', 'src', '../nonlib', '..' ],
              uselib = [ 'LIBLO' ],
              use = [ 'nonlib'],
              install_path = '${BINDIR}')

    bld.program( source = '''
src/nsm-proxy-gui.C
src/NSM_Proxy_UI.fl
''',
              target       = 'nsm-proxy-gui',
              includes     = ['.', 'src'],
              uselib = [  'LIBLO', 'NTK', 'NTK_IMAGES ' ],
              install_path = '${BINDIR}')

    bld.program( source = '''
src/jackpatch.c
''',
              target       = 'jackpatch',
              includes     = ['.', 'src'],
              uselib = [ 'LIBLO', 'JACK' ],
              install_path = '${BINDIR}')


    bld.program( source = '''
src/send_osc.C
''',
              target       = 'send_osc',
              includes     = ['.', 'src', '../nonlib' ],
              uselib = [ 'LIBLO' ],
              use = [ 'nonlib'],
              install_path = None )

    bld( features = 'subst',
         source = 'non-session-manager.desktop.in',
         target = 'non-session-manager.desktop',
         encoding = 'utf8',
         install_path = "${DATADIR}" + '/applications',
         BIN_PATH = bld.env.BINDIR,
         
 );

    start_dir = bld.path.find_dir( 'icons/hicolor' )

    bld.install_files('${DATADIR}/icons/hicolor', start_dir.ant_glob('**/*.png'),
                      cwd=start_dir, relative_trick=True)

    bld.install_as('${DATADIR}/pixmaps/' + APPNAME + '/icon-256x256.png', 'icons/hicolor/256x256/apps/' + APPNAME + '.png')

    bld.install_files( '/'.join( [ '${DATADIR}/doc', APPNAME ] ), bld.path.ant_glob( 'doc/*.html doc/*.png' ) )

=== timeline/wscript ===
#!/usr/bin/env python
import subprocess
import waflib.Options as Options
import string
import os;

# Version of this package (even if built as a child)
PACKAGE_VERSION = '1.3.0'

# Variables for 'waf dist'
APPNAME = 'non-timeline'
VERSION = PACKAGE_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    opt.load('compiler_cxx')
    opt.load('gnu_dirs')

def configure(conf):
    conf.load('compiler_c')
    conf.load('compiler_cxx')
    conf.load('gnu_dirs')

    # conf.env.append_value('CFLAGS', '-D_LARGEFILE64_SOURCE')
    # conf.env.append_value('CFLAGS', '-D_FILE_OFFSET_BITS=64')
    # conf.env.append_value('CXXFLAGS', '-D_LARGEFILE64_SOURCE')
    # conf.env.append_value('CXXFLAGS', '-D_FILE_OFFSET_BITS=64')

    conf.check_cfg(package='sndfile', uselib_store='SNDFILE',args="--cflags --libs",
                      atleast_version='1.0.18', mandatory=True)

    conf.check(msg='Checking for SF_FORMAT_VORBIS',
                  define_name='HAVE_SF_FORMAT_VORBIS',
                  fragment='#include <sndfile.h>\nint main ( int argc, char **argv ) { return SF_FORMAT_VORBIS; }',
                  execute=False, mandatory=False)

    conf.define('VERSION', PACKAGE_VERSION)
    conf.define('SYSTEM_PATH', '/'.join( [ conf.env.DATADIR, APPNAME ] ) )
    conf.define('DOCUMENT_PATH', '/'.join( [ conf.env.DATADIR, 'doc' ] ) )
    conf.define('PIXMAP_PATH', '/'.join( [ conf.env.DATADIR, 'pixmaps' ] ) )

    conf.write_config_header('config.h', remove=False)

    print('')

def build(bld):
    #     libs = 'LILV SUIL JACK SERD SRATOM LV2'

    libs = '' 

    obj = bld(features = 'cxx cxxprogram',
              source = '''
src/Annotation_Region.C
src/Audio_Region.C
src/Audio_Sequence.C
src/Control_Point.C
src/Control_Sequence.C
src/Cursor_Point.C
src/Cursor_Region.C
src/Cursor_Sequence.C
src/Engine/Audio_File.C
src/Engine/Audio_File_Dummy.C
src/Engine/Audio_File_SF.C
src/Engine/Audio_Region.C
src/Engine/Audio_Sequence.C
src/Engine/Control_Sequence.C
src/Engine/Disk_Stream.C
src/Engine/Engine.C
src/Engine/Peaks.C
src/Engine/Playback_DS.C
src/Engine/Record_DS.C
src/Engine/Timeline.C
src/Engine/Track.C
src/NSM.C
src/OSC_Transmit_Thread.C
src/OSC_Receive_Thread.C
src/Project.C
src/Sequence.C
src/Sequence_Point.C
src/Sequence_Region.C
src/Sequence_Widget.C
src/TLE.fl
src/Track_Header.fl
src/Tempo_Point.C
src/Tempo_Sequence.C
src/Time_Point.C
src/Time_Sequence.C
src/Timeline.C
src/Track.C
src/Transport.C
src/Waveform.C
src/main.C
''',
              target       = 'non-timeline',
              includes     = ['.', 'src', '..', '../nonlib'],
              uselib = [ 'JACK', 'LIBLO', 'SNDFILE', 'NTK', 'NTK_IMAGES', 'PTHREAD'],
              use = [ 'fl_widgets', 'nonlib'],
              install_path = '${BINDIR}')

    obj = bld(features = 'cxx cxxprogram',
              source='bin/import-ardour-session_gui.fl',
              target       = 'import-ardour-session_gui',
              includes     = ['.', 'src', '..', '../nonlib'],
              uselib = [ 'NTK', 'NTK_IMAGES', 'PTHREAD'],
         ##     use = [ 'fl_widgets', 'nonlib'],
              install_path = '${BINDIR}')

    bld.install_files('${BINDIR}', 'bin/import-ardour-session', chmod=0o0555,
                      relative_trick=True)

    bld( features = 'subst',
         source = 'non-timeline.desktop.in',
         target = 'non-timeline.desktop',
         encoding = 'utf8',
         install_path = "${DATADIR}" + '/applications',
         BIN_PATH = bld.env.BINDIR )


    bld.symlink_as( '${BINDIR}/' + 'non-daw', APPNAME )

    start_dir = bld.path.find_dir( 'icons/hicolor' )

    bld.install_files('${DATADIR}/icons/hicolor', start_dir.ant_glob('**/*.png'),
                      cwd=start_dir, relative_trick=True)

    bld.install_as('${DATADIR}/pixmaps/' + APPNAME + '/icon-256x256.png', 'icons/hicolor/256x256/apps/' + APPNAME + '.png')

    bld.install_files( '/'.join( [ '${DATADIR}/doc', APPNAME ] ), bld.path.ant_glob( 'doc/*.html doc/*.png' ) )

=== sequencer/doc/Makefile ===

SRCS=$(wildcard *.mu)
OBJS=$(SRCS:.mu=.html)

%.html: %.mu
	@ echo Mupping $<...
	@ mup.wrapper html $<

.PHONY: all clean

all: $(OBJS)

upload: all
	@ rsync -L mup.css MANUAL.html *.png ssh.tuxfamily.org:/home/non/non-sequencer.tuxfamily.org-web/htdocs

install:
	@ install -d "$(DESTDIR)$(DOCUMENT_PATH)/non-sequencer"
	@ install -m 644 $(OBJS) *.png mup.css ../../COPYING "$(DESTDIR)$(DOCUMENT_PATH)/non-sequencer"

clean:
	rm -f $(OBJS)

=== session-manager/doc/Makefile ===

SRCS=$(wildcard *.mu)

OBJS=$(SRCS:.mu=.html)

%.html: %.mu
	@ echo Mupping $<...
	@ mup.wrapper html $<

.PHONY: all clean

all: $(OBJS)

upload: all
	@ ln -sf MANUAL.html index.html
	@ rsync -L mup.css MANUAL.html API.html index.html *.png ssh.tuxfamily.org:/home/non/non.tuxfamily.org-web/htdocs/nsm
	@ rm -f index.html

install:
	@ install -d "$(DESTDIR)$(DOCUMENT_PATH)"/non-session-manager
	@ cp $(OBJS) *.png mup.css ../../COPYING "$(DESTDIR)$(DOCUMENT_PATH)"/non-session-manager
#	@ ln -sf $(PIXMAP_PATH)/logo.png $(DOCUMENT_PATH)

clean:
	rm -f $(OBJS)

=== timeline/doc/Makefile ===

SRCS=$(wildcard *.mu)

OBJS=$(SRCS:.mu=.html)

%.html: %.mu
	@ echo Mupping $<...
	@ mup.wrapper html $<

.PHONY: all clean

all: $(OBJS)

upload: all
	@ rsync -L mup.css MANUAL.html *.png ssh.tuxfamily.org:/home/non/non-daw.tuxfamily.org-web/htdocs

install:
	@ install -d "$(DESTDIR)$(DOCUMENT_PATH)"/non-daw
	@ cp $(OBJS) *.png mup.css ../../COPYING "$(DESTDIR)$(DOCUMENT_PATH)"/non-daw
#	@ ln -sf $(PIXMAP_PATH)/logo.png $(DOCUMENT_PATH)

clean:
	rm -f $(OBJS)

=== PKGBUILD ===
# Maintainer: David Runge <dvzrv@archlinux.org>

pkgbase=non-daw
pkgname=('non-mixer' 'non-timeline')
pkgver=1.3.0
pkgrel=1
pkgdesc="Non DAW"
arch=('x86_64')
url="https://non.tuxfamily.org/"
license=('GPL3')
groups=('non-daw' 'pro-audio')
makedepends=('jack' 'ladspa' 'liblo' 'liblrdf' 'libxpm' 'ntk' 'waf')
source=("$pkgbase-$pkgver.tar.gz::https://github.com/linuxaudio/non/archive/refs/tags/${pkgname[0]}-v${pkgver}.tar.gz")
sha512sums=('6be7075a1c55fa52ae573c60983cbd237819f8ec521730b3949b0d460c63a23805db7a9f5d54410b5808c61ecdd6ec9dc891868ae8f9467042621379633b119e')
b2sums=('3116892847c41b097aa48af4bb96a2580e53fa879793992c07d0086841f4d1e8c13e0b390e0ae1854ab5da58a8fee8f6d7b9338a94fc4367250b5d69efa2f23e')

prepare() {
  mv -v "non-${pkgname[0]}-v${pkgver}" "${pkgbase}-${pkgver}"
  sed -e 's/python2/python/' -i "${pkgbase}-${pkgver}/timeline/bin/import-ardour-session"
  cp -av "${pkgbase}-${pkgver}" "${pkgname[0]}-${pkgver}"
  cp -av "${pkgbase}-${pkgver}" "${pkgname[1]}-${pkgver}"
}

build() {
  (
    cd "${pkgname[0]}-${pkgver}"
    waf configure --prefix=/usr --project=mixer
    waf build -vv
  )
  (
    cd "${pkgname[1]}-${pkgver}"
    waf configure --prefix=/usr --project=timeline
    waf build -vv
  )
}

package_non-mixer() {
  pkgdesc="A powerful, reliable and fast modular Digital Audio Mixer"
  depends=('gcc-libs' 'glibc' 'hicolor-icon-theme' 'libjack.so' 'liblo.so'
  'liblrdf.so' 'libntk.so' 'libntk_images.so')
  cd "$pkgname-$pkgver"
  waf --destdir="${pkgdir}" install -vv
}

package_non-timeline() {
  pkgdesc="A powerful, reliable and fast modular Digital Audio Timeline arranger"
  depends=('cairo' 'gcc-libs' 'glibc' 'hicolor-icon-theme' 'libjack.so'
  'liblo.so' 'libntk.so' 'libntk_images.so' 'libsndfile')
  optdepends=('python: For import-ardour-session')
  cd "$pkgname-$pkgver"
  waf --destdir="${pkgdir}" install -vv
  # the wscript installs import-ardour-session to a wrong location:
  # https://github.com/original-male/non/issues/256
  mv -v "${pkgdir}/usr/bin/bin/import-ardour-session" "${pkgdir}/usr/bin/import-ardour-session"
  rmdir -v "${pkgdir}/usr/bin/bin"
}
